Subject: Re: bug#34597: `guix challenge` - 41 packages differ

From: Leo Famulari <[email-masked]>
Date: Wed, 20 Feb 2019 19:04:14 -0500

On Wed, Feb 20, 2019 at 05:51:24PM -0600, Brett Gilio wrote:
> Unless I am mistaken this isn't truly a reportable bug. As you can see
> in the guix challenge documentation
> https://www.gnu.org/software/guix/manual/en/html_node/Invoking-guix-challenge.html
> the purpose of challenge is to check for deterministic qualities in
> reproducible packages. Right now, not all packages are reproducible as
> the guix team is hard at work trying to find the best solution for
> replacing binary seeds with something fully bootstrappable (see:
> https://bootstrappable.org)

There are a few types of reproducibility that we'd like to implement in
Guix. There is the bootstrapping issue, as you mentioned. But we can
still seek to build packages reproducibly even while Guix is built on
the binary seeds. In most cases that bootstrapping strategy does not
affect the reproducibility of packages.